// CGfxSky - [2020-04-13 11:57:46]
#ifndef _CGFXSKY_H_
#define _CGFXSKY_H_

#include "CFTTModel.h"

/*
001CA898 CGfxSky::InitMain()
001CA918 CGfxSky::InitGame()
001CA9C8 CGfxSky::GetSkyTexturePath(char *,int)
001CA9F0 CGfxSky::Render()
001CAA70 CGfxSky::Shutdown()
*/

class CGfxSky {
public:
  static void InitMain();                     // 001CA898
  static void InitGame();                     // 001CA918
  static void GetSkyTexturePath(char*, int);  // 001CA9C8
  static void Render();                       // 001CA9F0
  static void Shutdown();                     // 001CAA70

  static CFTTModel* ms_pModelSky;
  static int ms_iSkyMat;
  static int ms_eSkyTexture;
  static int ms_iSkyTexture;
  static const char* ms_sSkyTextures[];
};

#endif  //_CGFXSKY_H_